## org.apache.taglibs.standard.tag.common.core
Interface ParamParent

All Known Implementing Classes:
  ImportSupport, ImportTag, ImportTag, RedirectSupport, RedirectTag, RedirectTag, UrlSupport, UrlTag, UrlTag

    public interface ParamParent

Interface for tag handlers implementing valid parent tags for <c:param>.

Author:
  Shawn Bayern

Method Summary
`void` `addParameter(String name, String value)` Adds a parameter to this tag's URL.

Method Detail

### addParameter

    void addParameter(String name,
                      String value)

  Adds a parameter to this tag's URL. The intent is that the <param> subtag will call this to register URL parameters. Assumes that 'name' and 'value' are appropriately encoded and do not contain any meaningful metacharacters; in order words, escaping is the responsibility of the caller.

  See Also:
    `ParamSupport`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.